curl --location 'https://parea-ai-backend-us-9ac16cdbc7a7b006.onporter.run/api/parea/v1/feedback' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <<PAREA_API_KEY>>' \
--data '{
"trace_id": "sasdc-csd-rnFesaeCpqcXJ_yL3wi",
"score": 0.5,
"name": "test",
"target": "perfect answer"
}'
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Tracing
Record Feedback
Record any (user) feedback & ground truth/correction of output for a log.
POST
/
api
/
parea
/
v1
/
feedback
curl --location 'https://parea-ai-backend-us-9ac16cdbc7a7b006.onporter.run/api/parea/v1/feedback' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <<PAREA_API_KEY>>' \
--data '{
"trace_id": "sasdc-csd-rnFesaeCpqcXJ_yL3wi",
"score": 0.5,
"name": "test",
"target": "perfect answer"
}'
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}curl --location 'https://parea-ai-backend-us-9ac16cdbc7a7b006.onporter.run/api/parea/v1/feedback' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <<PAREA_API_KEY>>' \
--data '{
"trace_id": "sasdc-csd-rnFesaeCpqcXJ_yL3wi",
"score": 0.5,
"name": "test",
"target": "perfect answer"
}'
Authorizations
APIKeyHeaderAPIKeyHeaderAPIKeyHeader
Body
application/json
Feedback score
Required range:
0 <= x <= 1UUID of the trace log
UUID of the trace log
Feedback comment
Optional target or “gold standard†of log.
Field will be automatically filled-in.
Deprecated field
Response
Successful Response
Was this page helpful?

